Index: trunk/doc/Flair/navtreeindex6.js
===================================================================
--- trunk/doc/Flair/navtreeindex6.js	(revision 33)
+++ trunk/doc/Flair/navtreeindex6.js	(revision 34)
@@ -1,4 +1,6 @@
 var NAVTREEINDEX6 =
 {
+"classflair_1_1sensor_1_1_target_controller.html#afa9256a134754f3cd321009f0c721e4f":[1,0,0,5,26,7],
+"classflair_1_1sensor_1_1_target_controller.html#afce7c1aafc6e9411a495c7b4ef011eed":[1,0,0,5,26,26],
 "classflair_1_1sensor_1_1_target_eth_controller.html":[1,0,0,5,27],
 "classflair_1_1sensor_1_1_target_eth_controller.html#a01568cea741e98ebcab98e9fb1bf9c8c":[1,0,0,5,27,0],
@@ -77,64 +79,80 @@
 "classflair_1_1simulator_1_1_discrete_time_variable.html#ae076720b8fdb084836a584964d40762f":[1,0,0,6,2,2],
 "classflair_1_1simulator_1_1_discrete_time_variable.html#ae9c2b7ffd8e1554686389aff8e854d43":[1,0,0,6,2,4],
-"classflair_1_1simulator_1_1_gui.html":[1,0,0,6,3],
-"classflair_1_1simulator_1_1_gui.html#a427b995fa8ed42f2fe741d29abdbcb07":[1,0,0,6,3,4],
-"classflair_1_1simulator_1_1_gui.html#a468a8cdefdff6194d0b97ffbc156a757":[1,0,0,6,3,0],
-"classflair_1_1simulator_1_1_gui.html#a4cfa5253009dd7a8f0756c19ed097296":[1,0,0,6,3,8],
-"classflair_1_1simulator_1_1_gui.html#a4fdb5f6239ccba607cc943ea485c68f1":[1,0,0,6,3,9],
-"classflair_1_1simulator_1_1_gui.html#a5ea4b29e748ce4bee0ce64c6859a0907":[1,0,0,6,3,5],
-"classflair_1_1simulator_1_1_gui.html#a78dcc2ba9a1d8b3211964ad12a4476a0":[1,0,0,6,3,1],
-"classflair_1_1simulator_1_1_gui.html#a8819401f6736c30e1c9b917d68c56e9f":[1,0,0,6,3,7],
-"classflair_1_1simulator_1_1_gui.html#aa5247fc955a05efe392a76aad21a73b1":[1,0,0,6,3,2],
-"classflair_1_1simulator_1_1_gui.html#ad1cbb3a97b354cf0823763b526401769":[1,0,0,6,3,3],
-"classflair_1_1simulator_1_1_gui.html#ad99fd047f42a3c280e531673a25f5aba":[1,0,0,6,3,6],
-"classflair_1_1simulator_1_1_man.html":[1,0,0,6,4],
-"classflair_1_1simulator_1_1_man.html#a45611cc9034c3c0aea5029c46b4714da":[1,0,0,6,4,1],
-"classflair_1_1simulator_1_1_man.html#ad27a0e649c6e87e424f98908d09ab126":[1,0,0,6,4,0],
-"classflair_1_1simulator_1_1_mesh_scene_node.html":[1,0,0,6,5],
-"classflair_1_1simulator_1_1_mesh_scene_node.html#a0e190e1df456fd57679b21909d63a699":[1,0,0,6,5,10],
-"classflair_1_1simulator_1_1_mesh_scene_node.html#a2aea77c7b5341185ac597ab624410ed3":[1,0,0,6,5,3],
-"classflair_1_1simulator_1_1_mesh_scene_node.html#a2d6623801af49264eb88e6c90b054121":[1,0,0,6,5,9],
-"classflair_1_1simulator_1_1_mesh_scene_node.html#a30c2dbf42bf120534495b31d78111a74":[1,0,0,6,5,2],
-"classflair_1_1simulator_1_1_mesh_scene_node.html#a332ddf4ba5a3cff5d49471ee8e3c8e37":[1,0,0,6,5,8],
-"classflair_1_1simulator_1_1_mesh_scene_node.html#a44ec4eda0d2534eb350d8c5637403e82":[1,0,0,6,5,0],
-"classflair_1_1simulator_1_1_mesh_scene_node.html#a62ab82d70eca62a8d0781238d055f276":[1,0,0,6,5,5],
-"classflair_1_1simulator_1_1_mesh_scene_node.html#a9b49878a1b175d031b0d51c4660774b4":[1,0,0,6,5,4],
-"classflair_1_1simulator_1_1_mesh_scene_node.html#aa8257b2c3e75289fa3f930739305830a":[1,0,0,6,5,1],
-"classflair_1_1simulator_1_1_mesh_scene_node.html#ae16520a1ac072dedd8715030792aae28":[1,0,0,6,5,6],
-"classflair_1_1simulator_1_1_mesh_scene_node.html#afe0f9668993db4f8ce3001aa2288ee4c":[1,0,0,6,5,7],
-"classflair_1_1simulator_1_1_model.html":[1,0,0,6,6],
-"classflair_1_1simulator_1_1_model.html#a1335ecc15eb00a934c9864ac5c98ba69":[1,0,0,6,6,1],
-"classflair_1_1simulator_1_1_model.html#a4906433cc3fa20ae7af911ef08f15f0e":[1,0,0,6,6,5],
-"classflair_1_1simulator_1_1_model.html#a4fdb5f6239ccba607cc943ea485c68f1":[1,0,0,6,6,8],
-"classflair_1_1simulator_1_1_model.html#a6692c07fb503b468e34136cdac9d08ab":[1,0,0,6,6,3],
-"classflair_1_1simulator_1_1_model.html#a843107a08e577f7ff285eaa93b6e8c89":[1,0,0,6,6,2],
-"classflair_1_1simulator_1_1_model.html#a9133339bb0ef62375abee0cf65a04f9e":[1,0,0,6,6,12],
-"classflair_1_1simulator_1_1_model.html#aad3ab59134a6725fbf2af1e85fb08e39":[1,0,0,6,6,7],
-"classflair_1_1simulator_1_1_model.html#ab79d1ce9c7b8706182dfbd8dbc7289dc":[1,0,0,6,6,11],
-"classflair_1_1simulator_1_1_model.html#abc7fb896d9da2f759768a155b01ee17e":[1,0,0,6,6,6],
-"classflair_1_1simulator_1_1_model.html#adbd69d43aab4645e2540bcfbfcdf0aa7":[1,0,0,6,6,10],
-"classflair_1_1simulator_1_1_model.html#aec35c1a54a309614bbbb645f43667605":[1,0,0,6,6,4],
-"classflair_1_1simulator_1_1_model.html#aef3411812a41ce110d8d3a796f9cd56b":[1,0,0,6,6,9],
-"classflair_1_1simulator_1_1_parser.html":[1,0,0,6,7],
-"classflair_1_1simulator_1_1_parser.html#a3d27cd97c69776827ba495e2ea7b9a47":[1,0,0,6,7,1],
-"classflair_1_1simulator_1_1_parser.html#ad889c20f3e6200f406693772c9a27442":[1,0,0,6,7,0],
-"classflair_1_1simulator_1_1_simulator.html":[1,0,0,6,8],
-"classflair_1_1simulator_1_1_simulator.html#a0bf7fa513bb0c2b99bd0b16a7824e852":[1,0,0,6,8,8],
-"classflair_1_1simulator_1_1_simulator.html#a206704b45a0945a6877a3f7bad04534b":[1,0,0,6,8,3],
-"classflair_1_1simulator_1_1_simulator.html#a2bb4ffbad57a036036984d978a76d27b":[1,0,0,6,8,7],
-"classflair_1_1simulator_1_1_simulator.html#a2bf2a0e9b454c55aa5dcb5aa4698697b":[1,0,0,6,8,6],
-"classflair_1_1simulator_1_1_simulator.html#a2c12879c6cefa5f465d3d5b0b150d777":[1,0,0,6,8,1],
-"classflair_1_1simulator_1_1_simulator.html#a580660c762f807a6bd76dc9bfed48ad9":[1,0,0,6,8,2],
-"classflair_1_1simulator_1_1_simulator.html#aa3fc4e19d7d11a7a7ff06f529577fc35":[1,0,0,6,8,5],
-"classflair_1_1simulator_1_1_simulator.html#ae1b6605cf24ad921aeda4d0888b54baa":[1,0,0,6,8,0],
-"classflair_1_1simulator_1_1_simulator.html#afd712ce52e08c1dd64f492f8d0e6d619":[1,0,0,6,8,4],
-"classflair_1_1simulator_1_1_x4.html":[1,0,0,6,9],
-"classflair_1_1simulator_1_1_x4.html#a10a457c7437ec216787e26dd1ecd133e":[1,0,0,6,9,1],
-"classflair_1_1simulator_1_1_x4.html#a67b2cd3890ee0f15c7377dc2edb00c6a":[1,0,0,6,9,0],
-"classflair_1_1simulator_1_1_x8.html":[1,0,0,6,10],
-"classflair_1_1simulator_1_1_x8.html#a2d8fbf72873ff74dd6ed13f81ef8a49f":[1,0,0,6,10,1],
-"classflair_1_1simulator_1_1_x8.html#a70956ac7d7d210ff48eb0089eafbb1c6":[1,0,0,6,10,0],
-"classflair_1_1simulator_1_1_x8.html#a9eda32e5d50c359f093252aebf76bbab":[1,0,0,6,10,2],
-"classflair_1_1simulator_1_1_x8.html#adc5a44d77cf5b68a636e5fe060eb7433":[1,0,0,6,10,3],
+"classflair_1_1simulator_1_1_fixed_camera.html":[1,0,0,6,3],
+"classflair_1_1simulator_1_1_fixed_camera.html#a179bfa24ee9a02abbd733adecc776142":[1,0,0,6,3,2],
+"classflair_1_1simulator_1_1_fixed_camera.html#a948a61047e7affb9cdd5e528ec4fea29":[1,0,0,6,3,1],
+"classflair_1_1simulator_1_1_fixed_camera.html#ae346521445d640a48a1b167de2e456f1":[1,0,0,6,3,0],
+"classflair_1_1simulator_1_1_gui.html":[1,0,0,6,4],
+"classflair_1_1simulator_1_1_gui.html#a427b995fa8ed42f2fe741d29abdbcb07":[1,0,0,6,4,4],
+"classflair_1_1simulator_1_1_gui.html#a468a8cdefdff6194d0b97ffbc156a757":[1,0,0,6,4,0],
+"classflair_1_1simulator_1_1_gui.html#a468b82cb141bdd519ef14c6e6dce0f5d":[1,0,0,6,4,10],
+"classflair_1_1simulator_1_1_gui.html#a4cfa5253009dd7a8f0756c19ed097296":[1,0,0,6,4,8],
+"classflair_1_1simulator_1_1_gui.html#a4fdb5f6239ccba607cc943ea485c68f1":[1,0,0,6,4,9],
+"classflair_1_1simulator_1_1_gui.html#a5ea4b29e748ce4bee0ce64c6859a0907":[1,0,0,6,4,5],
+"classflair_1_1simulator_1_1_gui.html#a78dcc2ba9a1d8b3211964ad12a4476a0":[1,0,0,6,4,1],
+"classflair_1_1simulator_1_1_gui.html#a8819401f6736c30e1c9b917d68c56e9f":[1,0,0,6,4,6],
+"classflair_1_1simulator_1_1_gui.html#aa5247fc955a05efe392a76aad21a73b1":[1,0,0,6,4,2],
+"classflair_1_1simulator_1_1_gui.html#ad1cbb3a97b354cf0823763b526401769":[1,0,0,6,4,3],
+"classflair_1_1simulator_1_1_gui.html#ad99fd047f42a3c280e531673a25f5aba":[1,0,0,6,4,7],
+"classflair_1_1simulator_1_1_man.html":[1,0,0,6,5],
+"classflair_1_1simulator_1_1_man.html#a45611cc9034c3c0aea5029c46b4714da":[1,0,0,6,5,1],
+"classflair_1_1simulator_1_1_man.html#ad27a0e649c6e87e424f98908d09ab126":[1,0,0,6,5,0],
+"classflair_1_1simulator_1_1_mesh_scene_node.html":[1,0,0,6,6],
+"classflair_1_1simulator_1_1_mesh_scene_node.html#a0e190e1df456fd57679b21909d63a699":[1,0,0,6,6,10],
+"classflair_1_1simulator_1_1_mesh_scene_node.html#a2aea77c7b5341185ac597ab624410ed3":[1,0,0,6,6,3],
+"classflair_1_1simulator_1_1_mesh_scene_node.html#a2d6623801af49264eb88e6c90b054121":[1,0,0,6,6,9],
+"classflair_1_1simulator_1_1_mesh_scene_node.html#a30c2dbf42bf120534495b31d78111a74":[1,0,0,6,6,2],
+"classflair_1_1simulator_1_1_mesh_scene_node.html#a332ddf4ba5a3cff5d49471ee8e3c8e37":[1,0,0,6,6,8],
+"classflair_1_1simulator_1_1_mesh_scene_node.html#a44ec4eda0d2534eb350d8c5637403e82":[1,0,0,6,6,0],
+"classflair_1_1simulator_1_1_mesh_scene_node.html#a62ab82d70eca62a8d0781238d055f276":[1,0,0,6,6,5],
+"classflair_1_1simulator_1_1_mesh_scene_node.html#a9b49878a1b175d031b0d51c4660774b4":[1,0,0,6,6,4],
+"classflair_1_1simulator_1_1_mesh_scene_node.html#aa8257b2c3e75289fa3f930739305830a":[1,0,0,6,6,1],
+"classflair_1_1simulator_1_1_mesh_scene_node.html#ae16520a1ac072dedd8715030792aae28":[1,0,0,6,6,6],
+"classflair_1_1simulator_1_1_mesh_scene_node.html#afe0f9668993db4f8ce3001aa2288ee4c":[1,0,0,6,6,7],
+"classflair_1_1simulator_1_1_model.html":[1,0,0,6,7],
+"classflair_1_1simulator_1_1_model.html#a1335ecc15eb00a934c9864ac5c98ba69":[1,0,0,6,7,1],
+"classflair_1_1simulator_1_1_model.html#a4906433cc3fa20ae7af911ef08f15f0e":[1,0,0,6,7,5],
+"classflair_1_1simulator_1_1_model.html#a4fdb5f6239ccba607cc943ea485c68f1":[1,0,0,6,7,8],
+"classflair_1_1simulator_1_1_model.html#a6692c07fb503b468e34136cdac9d08ab":[1,0,0,6,7,3],
+"classflair_1_1simulator_1_1_model.html#a843107a08e577f7ff285eaa93b6e8c89":[1,0,0,6,7,2],
+"classflair_1_1simulator_1_1_model.html#a9133339bb0ef62375abee0cf65a04f9e":[1,0,0,6,7,11],
+"classflair_1_1simulator_1_1_model.html#aad3ab59134a6725fbf2af1e85fb08e39":[1,0,0,6,7,7],
+"classflair_1_1simulator_1_1_model.html#ab79d1ce9c7b8706182dfbd8dbc7289dc":[1,0,0,6,7,10],
+"classflair_1_1simulator_1_1_model.html#abc7fb896d9da2f759768a155b01ee17e":[1,0,0,6,7,6],
+"classflair_1_1simulator_1_1_model.html#aec35c1a54a309614bbbb645f43667605":[1,0,0,6,7,4],
+"classflair_1_1simulator_1_1_model.html#aef3411812a41ce110d8d3a796f9cd56b":[1,0,0,6,7,9],
+"classflair_1_1simulator_1_1_parser.html":[1,0,0,6,8],
+"classflair_1_1simulator_1_1_parser.html#a3d27cd97c69776827ba495e2ea7b9a47":[1,0,0,6,8,1],
+"classflair_1_1simulator_1_1_parser.html#ad889c20f3e6200f406693772c9a27442":[1,0,0,6,8,0],
+"classflair_1_1simulator_1_1_simulator.html":[1,0,0,6,9],
+"classflair_1_1simulator_1_1_simulator.html#a0bf7fa513bb0c2b99bd0b16a7824e852":[1,0,0,6,9,8],
+"classflair_1_1simulator_1_1_simulator.html#a206704b45a0945a6877a3f7bad04534b":[1,0,0,6,9,3],
+"classflair_1_1simulator_1_1_simulator.html#a2bb4ffbad57a036036984d978a76d27b":[1,0,0,6,9,7],
+"classflair_1_1simulator_1_1_simulator.html#a2bf2a0e9b454c55aa5dcb5aa4698697b":[1,0,0,6,9,6],
+"classflair_1_1simulator_1_1_simulator.html#a2c12879c6cefa5f465d3d5b0b150d777":[1,0,0,6,9,1],
+"classflair_1_1simulator_1_1_simulator.html#a580660c762f807a6bd76dc9bfed48ad9":[1,0,0,6,9,2],
+"classflair_1_1simulator_1_1_simulator.html#aa3fc4e19d7d11a7a7ff06f529577fc35":[1,0,0,6,9,5],
+"classflair_1_1simulator_1_1_simulator.html#ae1b6605cf24ad921aeda4d0888b54baa":[1,0,0,6,9,0],
+"classflair_1_1simulator_1_1_simulator.html#afd712ce52e08c1dd64f492f8d0e6d619":[1,0,0,6,9,4],
+"classflair_1_1simulator_1_1_visualization_camera.html":[1,0,0,6,10],
+"classflair_1_1simulator_1_1_visualization_camera.html#a179401c09a6a0c3ec733658e6aed06c4":[1,0,0,6,10,8],
+"classflair_1_1simulator_1_1_visualization_camera.html#a275488408235bb7d13171714c7dae00c":[1,0,0,6,10,6],
+"classflair_1_1simulator_1_1_visualization_camera.html#a37457e3f62ec324f6a8c5116e5ef27e8":[1,0,0,6,10,1],
+"classflair_1_1simulator_1_1_visualization_camera.html#a3ea1eff51f053d881aebfcab6eef42b5":[1,0,0,6,10,0],
+"classflair_1_1simulator_1_1_visualization_camera.html#a4e5d590e6bb93f759c4dbb9d227f0d43":[1,0,0,6,10,2],
+"classflair_1_1simulator_1_1_visualization_camera.html#a5c08e08f09414391a13423ea15bf3d8f":[1,0,0,6,10,9],
+"classflair_1_1simulator_1_1_visualization_camera.html#ac1b5a4957956ecae606fd5111dd3120a":[1,0,0,6,10,10],
+"classflair_1_1simulator_1_1_visualization_camera.html#add4b9d179dbd2bd8422bd49239b33dcb":[1,0,0,6,10,5],
+"classflair_1_1simulator_1_1_visualization_camera.html#aee63f36269614f956ca607ae36d191fb":[1,0,0,6,10,4],
+"classflair_1_1simulator_1_1_visualization_camera.html#af0b2e8a322217805db4e42a6e9d3d2e8":[1,0,0,6,10,3],
+"classflair_1_1simulator_1_1_visualization_camera.html#af31e96590ba885c4e6b9ae4b3223f885":[1,0,0,6,10,7],
+"classflair_1_1simulator_1_1_x4.html":[1,0,0,6,11],
+"classflair_1_1simulator_1_1_x4.html#a10a457c7437ec216787e26dd1ecd133e":[1,0,0,6,11,1],
+"classflair_1_1simulator_1_1_x4.html#a67b2cd3890ee0f15c7377dc2edb00c6a":[1,0,0,6,11,0],
+"classflair_1_1simulator_1_1_x8.html":[1,0,0,6,12],
+"classflair_1_1simulator_1_1_x8.html#a2d8fbf72873ff74dd6ed13f81ef8a49f":[1,0,0,6,12,1],
+"classflair_1_1simulator_1_1_x8.html#a70956ac7d7d210ff48eb0089eafbb1c6":[1,0,0,6,12,0],
+"classflair_1_1simulator_1_1_x8.html#a9eda32e5d50c359f093252aebf76bbab":[1,0,0,6,12,2],
+"classflair_1_1simulator_1_1_x8.html#adc5a44d77cf5b68a636e5fe060eb7433":[1,0,0,6,12,3],
 "cvimage_8h.html":[2,0,20],
 "cvimage_8h_source.html":[2,0,20],
@@ -203,38 +221,33 @@
 "hierarchy.html":[1,2],
 "index.html":[],
-"io__data_8h.html":[2,0,45],
-"io__data_8h.html#a388da3412e183befb390ac46023bdcac":[2,0,45,12],
-"io__data_8h.html#a4ca29f33fc446a0d6c6fd314c78069b3":[2,0,45,11],
-"io__data_8h.html#a6dbece12f2117234500c91be48ea781c":[2,0,45,8],
-"io__data_8h.html#a74c64d35d845a87219d68d2ffaaac833":[2,0,45,13],
-"io__data_8h.html#a7a2cd054ab7f3308038a53882c7f4e7a":[2,0,45,10],
-"io__data_8h.html#ad6d174017f93c73db69089138f9b74c1":[2,0,45,14],
-"io__data_8h.html#ad87fcd9f0a37939dfec9611a248b4658":[2,0,45,9],
-"io__data_8h_source.html":[2,0,45],
+"io__data_8h.html":[2,0,46],
+"io__data_8h.html#a388da3412e183befb390ac46023bdcac":[2,0,46,12],
+"io__data_8h.html#a4ca29f33fc446a0d6c6fd314c78069b3":[2,0,46,11],
+"io__data_8h.html#a6dbece12f2117234500c91be48ea781c":[2,0,46,8],
+"io__data_8h.html#a74c64d35d845a87219d68d2ffaaac833":[2,0,46,13],
+"io__data_8h.html#a7a2cd054ab7f3308038a53882c7f4e7a":[2,0,46,10],
+"io__data_8h.html#ad6d174017f93c73db69089138f9b74c1":[2,0,46,14],
+"io__data_8h.html#ad87fcd9f0a37939dfec9611a248b4658":[2,0,46,9],
+"io__data_8h_source.html":[2,0,46],
 "namespaceflair.html":[1,0,0],
 "namespaceflair.html":[0,0,0],
+"namespaceflair_1_1actuator.html":[1,0,0,0],
 "namespaceflair_1_1actuator.html":[0,0,0,0],
-"namespaceflair_1_1actuator.html":[1,0,0,0],
+"namespaceflair_1_1core.html":[0,0,0,1],
 "namespaceflair_1_1core.html":[1,0,0,1],
-"namespaceflair_1_1core.html":[0,0,0,1],
 "namespaceflair_1_1filter.html":[0,0,0,2],
 "namespaceflair_1_1filter.html":[1,0,0,2],
+"namespaceflair_1_1gui.html":[1,0,0,3],
 "namespaceflair_1_1gui.html":[0,0,0,3],
-"namespaceflair_1_1gui.html":[1,0,0,3],
+"namespaceflair_1_1meta.html":[0,0,0,4],
 "namespaceflair_1_1meta.html":[1,0,0,4],
-"namespaceflair_1_1meta.html":[0,0,0,4],
+"namespaceflair_1_1sensor.html":[1,0,0,5],
 "namespaceflair_1_1sensor.html":[0,0,0,5],
-"namespaceflair_1_1sensor.html":[1,0,0,5],
+"namespaceflair_1_1simulator.html":[1,0,0,6],
 "namespaceflair_1_1simulator.html":[0,0,0,6],
-"namespaceflair_1_1simulator.html":[1,0,0,6],
 "namespacemembers.html":[0,1,0],
 "namespacemembers_func.html":[0,1,1],
 "namespacemembers_type.html":[0,1,2],
 "namespaces.html":[0,0],
-"pages.html":[],
-"structflair_1_1simulator_1_1_model_1_1simu__state.html":[1,0,0,6,6,0],
-"structflair_1_1simulator_1_1_model_1_1simu__state.html#a157ca0ecf4c744e44c3968a28c21f908":[1,0,0,6,6,0,1],
-"structflair_1_1simulator_1_1_model_1_1simu__state.html#a1da75f64b8d57a386b9f7b7b5bf49222":[1,0,0,6,6,0,0],
-"structflair_1_1simulator_1_1_model_1_1simu__state.html#a3b1349d438dbf148a8b1d07749064bb4":[1,0,0,6,6,0,3],
-"structflair_1_1simulator_1_1_model_1_1simu__state.html#a800b87eb0471cda6f165c189963f7484":[1,0,0,6,6,0,2]
+"pages.html":[]
 };
Index: trunk/doc/Flair/navtreeindex7.js
===================================================================
--- trunk/doc/Flair/navtreeindex7.js	(revision 34)
+++ trunk/doc/Flair/navtreeindex7.js	(revision 34)
@@ -0,0 +1,8 @@
+var NAVTREEINDEX7 =
+{
+"structflair_1_1simulator_1_1_model_1_1simu__state.html":[1,0,0,6,7,0],
+"structflair_1_1simulator_1_1_model_1_1simu__state.html#a157ca0ecf4c744e44c3968a28c21f908":[1,0,0,6,7,0,1],
+"structflair_1_1simulator_1_1_model_1_1simu__state.html#a1da75f64b8d57a386b9f7b7b5bf49222":[1,0,0,6,7,0,0],
+"structflair_1_1simulator_1_1_model_1_1simu__state.html#a3b1349d438dbf148a8b1d07749064bb4":[1,0,0,6,7,0,3],
+"structflair_1_1simulator_1_1_model_1_1simu__state.html#a800b87eb0471cda6f165c189963f7484":[1,0,0,6,7,0,2]
+};
Index: trunk/doc/Flair/search/all_18.js
===================================================================
--- trunk/doc/Flair/search/all_18.js	(revision 33)
+++ trunk/doc/Flair/search/all_18.js	(revision 34)
@@ -13,5 +13,5 @@
   ['yearshown',['yearShown',['http://qt-project.org/doc/qt-4.8/qcalendarwidget.html#yearShown',0,'QCalendarWidget']]],
   ['yelement',['YElement',['../classflair_1_1core_1_1_vector3_ddata.html#a384d76d6e676ae8d0c231f9d2e27b460',1,'flair::core::Vector3Ddata']]],
-  ['yellow',['Yellow',['../classflair_1_1gui_1_1_data_plot.html#a0e106271554ff92ebeb94d22014f037ea8369a2a569c95d6c7e15632a6e4d3998',1,'flair::gui::DataPlot::Yellow()'],['http://qt-project.org/doc/qt-4.8/qcolor.html#yellow',0,'QColor::yellow()']]],
+  ['yellow',['yellow',['http://qt-project.org/doc/qt-4.8/qcolor.html#yellow',0,'QColor::yellow()'],['../classflair_1_1gui_1_1_data_plot.html#a0e106271554ff92ebeb94d22014f037ea8369a2a569c95d6c7e15632a6e4d3998',1,'flair::gui::DataPlot::Yellow()']]],
   ['yellowf',['yellowF',['http://qt-project.org/doc/qt-4.8/qcolor.html#yellowF',0,'QColor']]],
   ['yieldcurrentthread',['yieldCurrentThread',['http://qt-project.org/doc/qt-4.8/qthread.html#yieldCurrentThread',0,'QThread']]],
Index: trunk/doc/Flair/search/all_6.js
===================================================================
--- trunk/doc/Flair/search/all_6.js	(revision 33)
+++ trunk/doc/Flair/search/all_6.js	(revision 34)
@@ -223,5 +223,5 @@
   ['glyphindexesforstring',['glyphIndexesForString',['http://qt-project.org/doc/qt-4.8/qrawfont.html#glyphIndexesForString',0,'QRawFont']]],
   ['glyphmetrics',['GlyphMetrics',['http://qt-project.org/doc/qt-4.8/qabstractfontengine-glyphmetrics.html',0,'QAbstractFontEngine']]],
-  ['glyphmetrics',['glyphMetrics',['http://qt-project.org/doc/qt-4.8/qabstractfontengine.html#glyphMetrics',0,'QAbstractFontEngine::glyphMetrics()'],['http://qt-project.org/doc/qt-4.8/qabstractfontengine-glyphmetrics.html#GlyphMetrics',0,'QAbstractFontEngine::GlyphMetrics::GlyphMetrics()']]],
+  ['glyphmetrics',['GlyphMetrics',['http://qt-project.org/doc/qt-4.8/qabstractfontengine-glyphmetrics.html#GlyphMetrics',0,'QAbstractFontEngine::GlyphMetrics::GlyphMetrics()'],['http://qt-project.org/doc/qt-4.8/qabstractfontengine.html#glyphMetrics',0,'QAbstractFontEngine::glyphMetrics()']]],
   ['glyphruns',['glyphRuns',['http://qt-project.org/doc/qt-4.8/qtextfragment.html#glyphRuns',0,'QTextFragment::glyphRuns()'],['http://qt-project.org/doc/qt-4.8/qtextlayout.html#glyphRuns',0,'QTextLayout::glyphRuns()']]],
   ['gotfocus',['gotFocus',['http://qt-project.org/doc/qt-4.8/qfocusevent.html#gotFocus',0,'QFocusEvent']]],
Index: trunk/doc/Flair/search/all_b.js
===================================================================
--- trunk/doc/Flair/search/all_b.js	(revision 33)
+++ trunk/doc/Flair/search/all_b.js	(revision 34)
@@ -142,5 +142,5 @@
   ['listchildren',['listChildren',['http://qt-project.org/doc/qt-4.8/q3urloperator.html#listChildren',0,'Q3UrlOperator']]],
   ['listelementtype',['listElementType',['http://qt-project.org/doc/qt-4.8/qdeclarativelistreference.html#listElementType',0,'QDeclarativeListReference']]],
-  ['listen',['listen',['http://qt-project.org/doc/qt-4.8/qlocalserver.html#listen',0,'QLocalServer::listen()'],['http://qt-project.org/doc/qt-4.8/qtcpserver.html#listen',0,'QTcpServer::listen()'],['http://qt-project.org/doc/qt-4.8/q3socketdevice.html#listen',0,'Q3SocketDevice::listen()'],['../classflair_1_1core_1_1_connected_socket.html#ab522b80d805132cd0762f44852085613',1,'flair::core::ConnectedSocket::Listen()'],['../classflair_1_1core_1_1_tcp_socket.html#a7eaffe48d70e5119182bdb5846c6889d',1,'flair::core::TcpSocket::Listen()'],['../classflair_1_1core_1_1_udt_socket.html#a11808b6bc370de061d19bd10dddc662e',1,'flair::core::UdtSocket::Listen()']]],
+  ['listen',['Listen',['../classflair_1_1core_1_1_connected_socket.html#ab522b80d805132cd0762f44852085613',1,'flair::core::ConnectedSocket::Listen()'],['../classflair_1_1core_1_1_tcp_socket.html#a7eaffe48d70e5119182bdb5846c6889d',1,'flair::core::TcpSocket::Listen()'],['../classflair_1_1core_1_1_udt_socket.html#a11808b6bc370de061d19bd10dddc662e',1,'flair::core::UdtSocket::Listen()'],['http://qt-project.org/doc/qt-4.8/qlocalserver.html#listen',0,'QLocalServer::listen()'],['http://qt-project.org/doc/qt-4.8/qtcpserver.html#listen',0,'QTcpServer::listen()'],['http://qt-project.org/doc/qt-4.8/q3socketdevice.html#listen',0,'Q3SocketDevice::listen()']]],
   ['listinfo',['listInfo',['http://qt-project.org/doc/qt-4.8/q3ftp.html#listInfo',0,'Q3Ftp::listInfo()'],['http://qt-project.org/doc/qt-4.8/qftp.html#listInfo',0,'QFtp::listInfo()']]],
   ['liststyle',['listStyle',['http://qt-project.org/doc/qt-4.8/q3stylesheetitem.html#listStyle',0,'Q3StyleSheetItem']]],
Index: trunk/doc/Flair/search/classes_13.js
===================================================================
--- trunk/doc/Flair/search/classes_13.js	(revision 33)
+++ trunk/doc/Flair/search/classes_13.js	(revision 34)
@@ -1,6 +1,6 @@
 var searchData=
 [
+  ['tab',['Tab',['../classflair_1_1gui_1_1_tab.html',1,'flair::gui']]],
   ['tab',['Tab',['http://qt-project.org/doc/qt-4.8/qtextoption-tab.html',0,'QTextOption']]],
-  ['tab',['Tab',['../classflair_1_1gui_1_1_tab.html',1,'flair::gui']]],
   ['tabwidget',['TabWidget',['../classflair_1_1gui_1_1_tab_widget.html',1,'flair::gui']]],
   ['targetcontroller',['TargetController',['../classflair_1_1sensor_1_1_target_controller.html',1,'flair::sensor']]],
@@ -12,9 +12,9 @@
   ['trajectorygenerator1d',['TrajectoryGenerator1D',['../classflair_1_1filter_1_1_trajectory_generator1_d.html',1,'flair::filter']]],
   ['trajectorygenerator2dcircle',['TrajectoryGenerator2DCircle',['../classflair_1_1filter_1_1_trajectory_generator2_d_circle.html',1,'flair::filter']]],
+  ['type',['Type',['../classflair_1_1core_1_1cvmatrix_1_1_type.html',1,'flair::core::cvmatrix']]],
+  ['type',['Type',['../classflair_1_1core_1_1cvimage_1_1_type.html',1,'flair::core::cvimage']]],
   ['type',['Type',['../classflair_1_1core_1_1_ahrs_data_1_1_type.html',1,'flair::core::AhrsData']]],
   ['type',['Type',['../classflair_1_1core_1_1_imu_data_1_1_type.html',1,'flair::core::ImuData']]],
-  ['type',['Type',['../classflair_1_1core_1_1cvmatrix_1_1_type.html',1,'flair::core::cvmatrix']]],
-  ['type',['Type',['../classflair_1_1core_1_1_geo_coordinate_1_1_type.html',1,'flair::core::GeoCoordinate']]],
-  ['type',['Type',['../classflair_1_1core_1_1cvimage_1_1_type.html',1,'flair::core::cvimage']]],
-  ['type',['Type',['../classflair_1_1core_1_1_gps_data_1_1_type.html',1,'flair::core::GpsData']]]
+  ['type',['Type',['../classflair_1_1core_1_1_gps_data_1_1_type.html',1,'flair::core::GpsData']]],
+  ['type',['Type',['../classflair_1_1core_1_1_geo_coordinate_1_1_type.html',1,'flair::core::GeoCoordinate']]]
 ];
Index: trunk/doc/Flair/search/classes_15.js
===================================================================
--- trunk/doc/Flair/search/classes_15.js	(revision 33)
+++ trunk/doc/Flair/search/classes_15.js	(revision 34)
@@ -10,4 +10,5 @@
   ['videowidgetinterface44',['VideoWidgetInterface44',['http://qt-project.org/doc/qt-4.8/phonon-videowidgetinterface44.html',0,'Phonon']]],
   ['viewportattributes',['ViewportAttributes',['http://qt-project.org/doc/qt-4.8/qwebpage-viewportattributes.html',0,'QWebPage']]],
+  ['visualizationcamera',['VisualizationCamera',['../classflair_1_1simulator_1_1_visualization_camera.html',1,'flair::simulator']]],
   ['volumeslider',['VolumeSlider',['http://qt-project.org/doc/qt-4.8/phonon-volumeslider.html',0,'Phonon']]],
   ['vrpnclient',['VrpnClient',['../classflair_1_1sensor_1_1_vrpn_client.html',1,'flair::sensor']]],
Index: trunk/doc/Flair/search/classes_5.js
===================================================================
--- trunk/doc/Flair/search/classes_5.js	(revision 33)
+++ trunk/doc/Flair/search/classes_5.js	(revision 34)
@@ -1,4 +1,5 @@
 var searchData=
 [
+  ['fixedcamera',['FixedCamera',['../classflair_1_1simulator_1_1_fixed_camera.html',1,'flair::simulator']]],
   ['fixedpoint',['FixedPoint',['http://qt-project.org/doc/qt-4.8/qabstractfontengine-fixedpoint.html',0,'QAbstractFontEngine']]],
   ['flashledmessage',['FlashLedMessage',['../classflair_1_1sensor_1_1_flash_led_message.html',1,'flair::sensor']]],
Index: trunk/doc/Flair/search/enumvalues_13.js
===================================================================
--- trunk/doc/Flair/search/enumvalues_13.js	(revision 34)
+++ trunk/doc/Flair/search/enumvalues_13.js	(revision 34)
@@ -0,0 +1,7 @@
+var searchData=
+[
+  ['yaw',['Yaw',['../classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfeaacc98a52fd3a118df2369ceacfe42e80',1,'flair::core::AhrsData']]],
+  ['yawdeg',['YawDeg',['../classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea36d7aef4c89906df6c51376607cb3d26',1,'flair::core::AhrsData']]],
+  ['yellow',['Yellow',['../classflair_1_1gui_1_1_data_plot.html#a0e106271554ff92ebeb94d22014f037ea8369a2a569c95d6c7e15632a6e4d3998',1,'flair::gui::DataPlot']]],
+  ['yuyv',['YUYV',['../classflair_1_1core_1_1cvimage_1_1_type.html#abbfd16d91156a75d6ddbe7858aa8692fa52c8796e733cb603dc16270c874e91d7',1,'flair::core::cvimage::Type']]]
+];
Index: trunk/doc/Flair/search/functions_13.js
===================================================================
--- trunk/doc/Flair/search/functions_13.js	(revision 33)
+++ trunk/doc/Flair/search/functions_13.js	(revision 34)
@@ -88,5 +88,5 @@
   ['textdirection',['textDirection',['http://qt-project.org/doc/qt-4.8/qtextblock.html#textDirection',0,'QTextBlock::textDirection()'],['http://qt-project.org/doc/qt-4.8/qtextoption.html#textDirection',0,'QTextOption::textDirection()'],['http://qt-project.org/doc/qt-4.8/qprogressbar.html#textDirection-prop',0,'QProgressBar::textDirection()'],['http://qt-project.org/doc/qt-4.8/qprogressbar.html#textDirection-prop',0,'QProgressBar::textDirection() const'],['http://qt-project.org/doc/qt-4.8/qlocale.html#textDirection',0,'QLocale::textDirection()'],['http://qt-project.org/doc/qt-4.8/qtextinlineobject.html#textDirection',0,'QTextInlineObject::textDirection()']]],
   ['textechomode',['textEchoMode',['http://qt-project.org/doc/qt-4.8/qinputdialog.html#textEchoMode-prop',0,'QInputDialog']]],
-  ['textedit',['TextEdit',['../classflair_1_1gui_1_1_text_edit.html#acfd19e80797f61337a769ccc642d18fa',1,'flair::gui::TextEdit::TextEdit()'],['http://qt-project.org/doc/qt-4.8/q3syntaxhighlighter.html#textEdit',0,'Q3SyntaxHighlighter::textEdit()']]],
+  ['textedit',['textEdit',['http://qt-project.org/doc/qt-4.8/q3syntaxhighlighter.html#textEdit',0,'Q3SyntaxHighlighter::textEdit()'],['../classflair_1_1gui_1_1_text_edit.html#acfd19e80797f61337a769ccc642d18fa',1,'flair::gui::TextEdit::TextEdit()']]],
   ['textedited',['textEdited',['http://qt-project.org/doc/qt-4.8/qlineedit.html#textEdited',0,'QLineEdit']]],
   ['textelidemode',['textElideMode',['http://qt-project.org/doc/qt-4.8/qabstractitemview.html#textElideMode-prop',0,'QAbstractItemView']]],
Index: trunk/doc/Flair/search/functions_6.js
===================================================================
--- trunk/doc/Flair/search/functions_6.js	(revision 33)
+++ trunk/doc/Flair/search/functions_6.js	(revision 34)
@@ -219,5 +219,5 @@
   ['glyphindexesforchars',['glyphIndexesForChars',['http://qt-project.org/doc/qt-4.8/qrawfont.html#glyphIndexesForChars',0,'QRawFont']]],
   ['glyphindexesforstring',['glyphIndexesForString',['http://qt-project.org/doc/qt-4.8/qrawfont.html#glyphIndexesForString',0,'QRawFont']]],
-  ['glyphmetrics',['glyphMetrics',['http://qt-project.org/doc/qt-4.8/qabstractfontengine.html#glyphMetrics',0,'QAbstractFontEngine::glyphMetrics()'],['http://qt-project.org/doc/qt-4.8/qabstractfontengine-glyphmetrics.html#GlyphMetrics',0,'QAbstractFontEngine::GlyphMetrics::GlyphMetrics()']]],
+  ['glyphmetrics',['GlyphMetrics',['http://qt-project.org/doc/qt-4.8/qabstractfontengine-glyphmetrics.html#GlyphMetrics',0,'QAbstractFontEngine::GlyphMetrics::GlyphMetrics()'],['http://qt-project.org/doc/qt-4.8/qabstractfontengine.html#glyphMetrics',0,'QAbstractFontEngine::glyphMetrics()']]],
   ['glyphruns',['glyphRuns',['http://qt-project.org/doc/qt-4.8/qtextfragment.html#glyphRuns',0,'QTextFragment::glyphRuns()'],['http://qt-project.org/doc/qt-4.8/qtextlayout.html#glyphRuns',0,'QTextLayout::glyphRuns()']]],
   ['gotfocus',['gotFocus',['http://qt-project.org/doc/qt-4.8/qfocusevent.html#gotFocus',0,'QFocusEvent']]],
Index: trunk/doc/Flair/search/functions_b.js
===================================================================
--- trunk/doc/Flair/search/functions_b.js	(revision 33)
+++ trunk/doc/Flair/search/functions_b.js	(revision 34)
@@ -133,5 +133,5 @@
   ['listchildren',['listChildren',['http://qt-project.org/doc/qt-4.8/q3urloperator.html#listChildren',0,'Q3UrlOperator']]],
   ['listelementtype',['listElementType',['http://qt-project.org/doc/qt-4.8/qdeclarativelistreference.html#listElementType',0,'QDeclarativeListReference']]],
-  ['listen',['listen',['http://qt-project.org/doc/qt-4.8/qlocalserver.html#listen',0,'QLocalServer::listen()'],['http://qt-project.org/doc/qt-4.8/qtcpserver.html#listen',0,'QTcpServer::listen()'],['http://qt-project.org/doc/qt-4.8/q3socketdevice.html#listen',0,'Q3SocketDevice::listen()'],['../classflair_1_1core_1_1_connected_socket.html#ab522b80d805132cd0762f44852085613',1,'flair::core::ConnectedSocket::Listen()'],['../classflair_1_1core_1_1_tcp_socket.html#a7eaffe48d70e5119182bdb5846c6889d',1,'flair::core::TcpSocket::Listen()'],['../classflair_1_1core_1_1_udt_socket.html#a11808b6bc370de061d19bd10dddc662e',1,'flair::core::UdtSocket::Listen()']]],
+  ['listen',['Listen',['../classflair_1_1core_1_1_connected_socket.html#ab522b80d805132cd0762f44852085613',1,'flair::core::ConnectedSocket::Listen()'],['../classflair_1_1core_1_1_tcp_socket.html#a7eaffe48d70e5119182bdb5846c6889d',1,'flair::core::TcpSocket::Listen()'],['../classflair_1_1core_1_1_udt_socket.html#a11808b6bc370de061d19bd10dddc662e',1,'flair::core::UdtSocket::Listen()'],['http://qt-project.org/doc/qt-4.8/qlocalserver.html#listen',0,'QLocalServer::listen()'],['http://qt-project.org/doc/qt-4.8/qtcpserver.html#listen',0,'QTcpServer::listen()'],['http://qt-project.org/doc/qt-4.8/q3socketdevice.html#listen',0,'Q3SocketDevice::listen()']]],
   ['listinfo',['listInfo',['http://qt-project.org/doc/qt-4.8/q3ftp.html#listInfo',0,'Q3Ftp::listInfo()'],['http://qt-project.org/doc/qt-4.8/qftp.html#listInfo',0,'QFtp::listInfo()']]],
   ['liststyle',['listStyle',['http://qt-project.org/doc/qt-4.8/q3stylesheetitem.html#listStyle',0,'Q3StyleSheetItem']]],
